#include <bits/stdc++.h>
using namespace std;
int mat[11][11];
int main(){
    int N,M;
    cin>>N>>M;
    for(int i=0;i<N;i++){
        for(int j=0;j<M;j++){
            char x;
            cin>>x;
            mat[j][i]=0;
        }
    }
    for(int i=0;i<N && i<M;i++){
        mat[i][i]=1;
    }
    for(int i=0;i<N;i++){
        for(int j=0;j<M;j++){
            if(mat[j][i]==0)cout<<".";
            else cout<<"C";
        }
        if(i!=N-1)cout<<endl;
    }
    return 0;
}